<template>
  <div class="flex flex-wrap">
    <div
      v-for="item in pictures"
      :key="item.key"
      class="w-full sm:w-1/2 md:w-1/3 lg:w-1/3 xl:w-1/3 mb-4"
    >
      <router-link 
      :to="{ name: 'picture', params: { id: item.id }}"
        class="block w-full h-full bg-grey-dark bg-no-repeat bg-center bg-cover"
        title="Link"
      >
        <img class="image _bq" :src="item.link" alt="Protest" />
      </router-link>
    </div>
  </div>
</template>

<script>
import { mapActions, mapState } from "vuex";

export default {
  name: "Home",
  props: {
    msg: String,
  },
  methods: {
    ...mapActions({
      fetchAllPicture: "picture/fetchAllPicture",
    }),
  },
  computed: {
    ...mapState({
      pictures: (state) => state.picture.pictures,
    }),
  },
  mounted() {
    this.fetchAllPicture();
  },
};
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
.image {
  width: 100%;
  padding: 3%;
}
</style>
